com.threerings.puzzle.drop.data

## Interface DropPieceCodes

All Superinterfaces:
  com.threerings.util.DirectionCodes

All Known Implementing Classes:
  DropBoard, DropBoardView, DropControllerDelegate, PieceDestroyer, PieceDropper

    public interface DropPieceCodes
    extends com.threerings.util.DirectionCodes

The drop piece codes interface contains constants common to the drop game package.

### Field Summary

Fields
`static int` `DROP_BLOCK_PIECE_COUNT` The number of pieces in a drop block.
`static byte` `PIECE_NONE` The piece constant denoting an empty board piece.

### Fields inherited from interface com.threerings.util.DirectionCodes

`CARDINAL_DIRECTIONS, CCW, CW, DIRECTION_COUNT, DOWN, EAST, EASTNORTHEAST, EASTSOUTHEAST, FINE_DIRECTION_COUNT, HORIZONTAL, LEFT, NONE, NORTH, NORTHEAST, NORTHNORTHEAST, NORTHNORTHWEST, NORTHWEST, RIGHT, SOUTH, SOUTHEAST, SOUTHSOUTHEAST, SOUTHSOUTHWEST, SOUTHWEST, UP, VERTICAL, WEST, WESTNORTHWEST, WESTSOUTHWEST`

### Field Detail

#### PIECE_NONE

    static final byte PIECE_NONE

The piece constant denoting an empty board piece.

See Also:
  Constant Field Values

#### DROP_BLOCK_PIECE_COUNT

    static final int DROP_BLOCK_PIECE_COUNT

The number of pieces in a drop block.

See Also:
  Constant Field Values